{
  "name": "sdk-factory",
  "description": "Quickly build a JavaScript SDK to interface with any REST API.",
  "version": "1.0.8",
  "main": "dist/sdk-factory.cjs.js",
  "module": "dist/sdk-factory.esm.js",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/deseretbook/packages/sdk-factory"
  },
  "devDependencies": {
    "@babel/core": "7.6.0",
    "@babel/plugin-transform-runtime": "^7.6.0",
    "@babel/preset-env": "7.6.0",
    "babel-core": "7.0.0-bridge.0",
    "babel-jest": "24.9.0",
    "jest": "24.9.0",
    "jest-fetch-mock": "^3.0.1",
    "pre-commit": "^1.2.2",
    "prettier": "^1.18.2",
    "rollup": "1.21.2",
    "rollup-plugin-babel": "^4.3.3",
    "rollup-plugin-babel-minify": "^9.0.0",
    "rollup-plugin-commonjs": "^10.1.0",
    "rollup-plugin-node-resolve": "^5.2.0"
  },
  "scripts": {
    "prepare": "NODE_ENV=production yarn build",
    "build": "rollup -c",
    "start": "rollup -c -w",
    "test": "jest && yarn build",
    "prettier": "prettier --write --ignore-path .gitignore src/**/*.js",
    "precommit": "yarn run prettier"
  },
  "jest": {
    "setupFiles": [
      "<rootDir>/jest.init.js"
    ]
  },
  "prettier": {
    "trailingComma": "all",
    "semi": false,
    "singleQuote": true
  },
  "pre-commit": [
    "precommit"
  ],
  "files": [
    "dist"
  ],
  "dependencies": {
    "@babel/runtime": "^7.6.0",
    "cross-fetch": "^3.0.4",
    "deepmerge": "^4.0.0",
    "lodash.get": "^4.4.2",
    "qs": "^6.8.0",
    "urijs": "^1.19.1"
  }
}
